%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.51.1-0
%define aspellrelease 0.60
%define languageenglazy Icelandic
%define languagecode is
%define lc_ctype is_IS

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.51.1
Release:       %mkrel 18
Group:         System/Internationalization
Source:	       http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell-%{languagecode}-%{src_ver}.tar.bz2
URL:		   http://aspell.net/
License:	   GPL

BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}

Autoreqprov:   no

%description
An %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build
# don't use configure macro
./configure

%make

%install
%make_install
mv $RPM_BUILD_ROOT/%{_libdir}/aspell-%{aspellrelease}/*slenska.alias $RPM_BUILD_ROOT/%{_libdir}/aspell-%{aspellrelease}/íslenska.alias

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/aspell

chmod 644 Copyright README* 

%files
%doc README* Copyright 
%{_libdir}/aspell-*/*


%changelog
* Thu Feb 13 2020 tv <tv> 0.51.1-18.mga8
+ Revision: 1513141
- fix encoding in filename
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.51.1-17.mga7
+ Revision: 1294818
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.51.1-16.mga6
+ Revision: 934224
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.51.1-15.mga5
+ Revision: 750467
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.51.1-14.mga5
+ Revision: 677953
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.51.1-13.mga4
+ Revision: 502711
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.51.1-12.mga3
+ Revision: 346277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 16 2012 kamil <kamil> 0.51.1-11.mga2
+ Revision: 209557
- stop providing enchant-dictionary
- clean .spec a bit
+ dmorgan <dmorgan>
- Remove mandriva occurencies
+ ahmad <ahmad>
- imported package aspell-is

